﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace AllLaunch
{
	static class APL	// 定数をここに追加するため、Programより名称の短いAPLに変更
	{
		// 定数
		public const string	TITLE			= "まとめて起動";		// アプリケーションタイトル
		public const string	VERSION			= "2.1.0";				// アプリケーションバージョン
		public const int	MAX_LIST_NUM	= 10;					// 登録可能なソフト数
		public const int	MAX_TITLE_NUM	= 3;					// 登録可能な管理ソフト集
		public const int	MAX_WAIT_IDEL	= 5000;					// ソフトがアイドル状態になるのを待つ最大時間(※1)
		public const string XML_SOFT_NAME	= "\\SoftManage.xml";	// 管理ソフトファイルの名称
		public const string XML_CONFIG_NAME = "\\Config.xml";		// 設定ファイルの名称
		public const string MANUAL = "【まとめて起動】取扱説明書.pdf";	// 取扱説明書の名称

		/* (※1)最大時間を5秒とするのは、それ以上だと時間が長く感じるため。
		 */
		/// <summary>
		/// アプリケーションのメイン エントリ ポイントです。
		/// </summary>
		[STAThread]
		static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new FormMain());
		}
	}
}