using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Windows.Forms;

namespace AllLaunch
{
	/********************************/
	/*  ݒl					*/
	/********************************/
	public class Config
	{
		// 萔
		private const string XML_MAIN_ELEMENT			= "Config";
		private const string XML_TOP_FRONT				= "TopFront";
		private const string XML_TASK_TRAY				= "TaskTray";
		private const string XML_START_UP_TRAY			= "StartUpTray";
		private const string XML_START_UP_LAUNCH		= "StartUpLaunch";
		private const string XML_START_UP_LAUNCH_MIN	= "StartUpLaunchMin";
		private const string XML_KILL					= "Kill";
		private const string XML_TITLE_INDEX			= "TitleIndex";

		// oϐ
		public bool TopFront;			// őOʂŕ\
		public bool TaskTray;			// ^XNgC풓
		public bool StartUpTray;		// NɃ^XNgC풓
		public bool StartUpLaunch;		// NɃ\tgċN
		public bool StartUpLaunchMin;	// Ɉčŏ
		public bool Kill;				// ILɂ
		public int	TitleIndex;			// 삷Ǘ\tg̔ԍ

		/****************************************************
		 * Tv  :ݒXMLt@Cɕۑ
		 * ӓ_:O͏ʂŎ{
		 *   :writer	xmlt@C̏
		 * ߂l:-
		****************************************************/
		public void GetXmlTextWriter(XmlTextWriter writer)
		{
			writer.Formatting = Formatting.Indented;	// vfƂɃCfgt
			writer.WriteStartDocument();				// XMLt@C1sڂݒ

			writer.WriteStartElement(XML_MAIN_ELEMENT);	// ݒeɂāAvfň͂

			// őOʂŕ\tO
			writer.WriteStartElement(XML_TOP_FRONT);
			writer.WriteString(TopFront.ToString());
			writer.WriteEndElement();

			// ^XNgC풓tO
			writer.WriteStartElement(XML_TASK_TRAY);
			writer.WriteString(TaskTray.ToString());
			writer.WriteEndElement();

			// NɃ^XNgC풓
			writer.WriteStartElement(XML_START_UP_TRAY);
			writer.WriteString(StartUpTray.ToString());
			writer.WriteEndElement();

			// NɃ\tgċN
			writer.WriteStartElement(XML_START_UP_LAUNCH);
			writer.WriteString(StartUpLaunch.ToString());
			writer.WriteEndElement();

			// Ɉčŏ
			writer.WriteStartElement(XML_START_UP_LAUNCH_MIN);
			writer.WriteString(StartUpLaunchMin.ToString());
			writer.WriteEndElement();

			// ILɂ
			writer.WriteStartElement(XML_KILL);
			writer.WriteString(Kill.ToString());
			writer.WriteEndElement();

			// 삷Ǘ\tg̔ԍ
			writer.WriteStartElement(XML_TITLE_INDEX);
			writer.WriteString(TitleIndex.ToString());
			writer.WriteEndElement();

			writer.WriteEndElement();					// ݒe̗vfI

			writer.WriteEndDocument();					// XMLt@C̍쐬
		}

		/****************************************************
		 * Tv  :󂯎XmlTextReaderAǗ\tg̏擾
		 * ӓ_:O͏ʂŎ{
		 *   :reader	ǂݍxmlt@C̏
		 * ߂l:-
		****************************************************/
		public void SetXmlTextReader(XmlTextReader reader)
		{
			string name = "";	// vf

			while (reader.Read())
			{
				// ǂݎvfꍇ
				switch (reader.NodeType)
				{
					case XmlNodeType.Element:		// vfiF<item>j
						name = reader.Name;			// vf擾
						break;
					case XmlNodeType.Text:			// vf̃eLXgiF<item>ZZ</item>́ZZj
						// vfɑ΂eLXgݒ肷
						SetConfigByElementName(name, reader.Value);
						break;
					case XmlNodeType.EndElement:	// vf̏IiF</item>j
						if (XML_MAIN_ELEMENT == reader.Name)
						{
							// ǂݎ肪̂ŁAI
							return;
						}
						break;
					// case XmlDeclaration:	// XML 錾 ( : <?xml version='1.0'?>)
					// case Whitespace:		// 󔒁As
					default:
						// Ȃ
						break;
				}
			}
		}

		/****************************************************
		 * Tv  :vfɑ΂ݒlݒ肷
		 * ӓ_:
		 *   :elementName	vf
		 *		 :value			ݒl
		 * ߂l:-
		****************************************************/
		private void SetConfigByElementName(string elementName, string value)
		{
			// 擾vfƂɑϐύX
			switch (elementName)
			{
				case XML_TOP_FRONT:
					TopFront = bool.Parse(value);			// őOʂŕ\tO
					break;
				case XML_TASK_TRAY:
					TaskTray = bool.Parse(value);			// ^XNgC풓tO
					break;
				case XML_START_UP_TRAY:
					StartUpTray = bool.Parse(value);		// NɃ^XNgC풓
					break;
				case XML_START_UP_LAUNCH:
					StartUpLaunch = bool.Parse(value);		// NɃ\tgċN
					break;
				case XML_START_UP_LAUNCH_MIN:
					StartUpLaunchMin = bool.Parse(value);	// Ɉčŏ
					break;
				case XML_KILL:
					Kill = bool.Parse(value);				// ILɂ
					break;
				case XML_TITLE_INDEX:
					TitleIndex = int.Parse(value);			// ILɂ
					break;
				default:
					// Ȃ
					break;
			}
		}
	}
}
